Download it now!
Bug 116851 - General Input Output error opening an rtf file
Summary: General Input Output error opening an rtf file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.1 target:6.1.6
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2018-04-06 17:49 UTC by Sebastiano
Modified: 2019-02-12 17:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The file to use to get the error (78.92 KB, application/rtf)
2018-04-06 17:50 UTC, Sebastiano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastiano 2018-04-06 17:49:27 UTC
Description:
The attached file can be opened with WordPad (Windows 10) but generates an error with LibreOffice

Steps to Reproduce:
1.double click on the attached file 
2.
3.

Actual Results:  
General Error - General Input Output Error

Expected Results:
Open the file


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Sebastiano 2018-04-06 17:50:25 UTC
Created attachment 141173 [details]
The file to use to get the error
Comment 2 Aron Budea 2018-04-06 19:12:10 UTC
Confirmed in LO 6.1 master build & 3.5.0.3 / Windows 7.
Document opens fine in LO 3.3.0.
=> regression
Comment 3 MM 2018-04-06 22:42:16 UTC
It seems LO doesn't like the { after {\stylesheet.
After removing it, the file can be opened, but the content is all wrong.
Comment 4 Julien Nabet 2018-04-08 20:22:09 UTC
Rtf can be opened if you remove "{\edmins-8361}" from line 144

Miklos: thought you might be interested in this one.
Comment 5 Julien Nabet 2018-04-08 20:36:29 UTC
It seems that according to https://www.microsoft.com/en-us/download/confirmation.aspx?id=10725, edmins shouldn't be followed with an "-".
I gave it a try just by removing the "-" and it indeed opened.
Comment 6 Julien Nabet 2018-04-08 20:50:23 UTC
I submitted a patch on gerrit:
https://gerrit.libreoffice.org/#/c/52610/
Comment 7 Aron Budea 2019-02-09 12:19:09 UTC
(In reply to Julien Nabet from comment #6)
> I submitted a patch on gerrit:
> https://gerrit.libreoffice.org/#/c/52610/
I asked Julien what is needed for having the patch merged.

Also changed notBibisectable to bibisectNotNeeded, technically it would be possible to check if the bug already occurs in bibisect-43all, but there's no point if the patch is fine.
Comment 8 Julien Nabet 2019-02-09 13:13:27 UTC
(In reply to Aron Budea from comment #7)
> (In reply to Julien Nabet from comment #6)
> > I submitted a patch on gerrit:
> > https://gerrit.libreoffice.org/#/c/52610/
> I asked Julien what is needed for having the patch merged.
> 
> Also changed notBibisectable to bibisectNotNeeded, technically it would be
> possible to check if the bug already occurs in bibisect-43all, but there's
> no point if the patch is fine.

I responded on gerrit part.
Comment 9 Commit Notification 2019-02-11 08:31:13 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c04c6c487e20730391cfc29dfe66b4558b7b4efb%5E%21

tdf#116851: some rtf files provide param with "-" for "edmins"

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Aron Budea 2019-02-12 02:04:09 UTC
Let's close as fixed, thanks, Julien!
Backport to 6.2 is on gerrit.
Comment 11 Xisco Faulí 2019-02-12 12:40:54 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: c7ad7849d54fd3dad67e7779102f65b8b2f04881
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Julien Nabet, Thanks for fixing this!!
Comment 12 Commit Notification 2019-02-12 12:42:19 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/08c98b7aba639e0d246f3662d7950885f8a81432%5E%21

tdf#116851: some rtf files provide param with "-" for "edmins"

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-02-12 17:00:58 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/4bf0e6d1b8a6d0f0dc0f7251cdfc047dc8433c89%5E%21

tdf#116851: some rtf files provide param with "-" for "edmins"

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.